# photosite

Static site generator for building a simple photo site.

### Install

```bash
npm i
```

Create a `.env` file by copying the `default.env` file and modifying the values as needed.

### Generate Site Data

The following command will sync the data with s3, generate metadata for each new photo and produce all required thumbnails required for the site.

```bash
bash scripts/generate.sh
```

### Build Site

This command will build the website using the sqlite + photo data available at the time it is run.

```bash
bash scripts/build.sh
```

### File Naming

Photos should be named with relavent metadata in the filename so that the scripts can parse out the data.
The underscore character (`_`) is the delimiter between elements and dash (`-`) should be used in place of spaces.
The hash character (`#`) should be used to split between the metadata filename and the original file, so that it can be searched for if needed.

Elements are expected in the following order:

1. year
1. month
1. day
1. format
1. filmstock
1. location
1. description
1. original

```
2024_12_02_35mm_Kodak-Gold-200_Somerville-MA_Walk-towards-Harvard-Square#000061280009.tif
```